Đến nội dung


Hình ảnh
- - - - -

(yêu cầu) nhờ viết lisp ghi text cao độ!


  • Please log in to reply
15 replies to this topic

#1 caothailong

caothailong

    biết pan

  • Members
  • Pip
  • 7 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 06 May 2013 - 10:09 AM

mình nhờ viết lisp ghi text cao độ của 1 điểm cuối khi biết độ đốc, chiều dài 1 tuyến đường và cao độ điểm đầu. Mình cảm ơn!


  • 0

#2 caothailong

caothailong

    biết pan

  • Members
  • Pip
  • 7 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 06 May 2013 - 11:04 AM

không ai giúp mình hết sao? có cao thủ nào vào giúp mình với, mình đang cần gấp


  • 0

#3 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5678 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 06 May 2013 - 11:33 AM

Yêu cầu dễ nhưng bạn không cung cấp bản vẽ, viết text bằng cái j, chiều cao ra sao, chiều dài nhập vào hay chọn đường tuyến, nó là đường thẳng tuyến tính hay không ? v...v... thì thành khó cho người viết. 

Bạn chú ý mở qua nhìn xem các topic yêu cầu khác mọi người trình bày thế nào nhé ^^

 

Mà cao thủ hay thấp thủ thì giờ này mọi người cũng đang kiếm cơm bạn ơi, chịu khó nhé :(


  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#4 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6007 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 06 May 2013 - 11:59 AM

không ai giúp mình hết sao? có cao thủ nào vào giúp mình với, mình đang cần gấp

Hề hề hề,

Câu hỏi và cách đặt vấn đề của bạn khiến người đọc không ai hiểu đúng và đủ những điều bạn cần. Vậy thử hỏi bạn rằng sẽ viết lisp như thế nào???

Nếu chỉ là công thức tính toán thông thường thì chắc chắn bạn đã quá giỏi rồi. Còn nếu để ghi vào bản vẽ thì bạn phải gửi cái bản vẽ mẫu và nêu rõ cái bạn có trước khi dùng lisp cũng như cái bạn cần đạt được sau khi chạy lisp. Như vậy người muốn giúp mới có thể giúp bạn được.

Rất mong bạn sẽ rút kinh nghiệm về cách trình bày một vấn đề.


  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#5 caothailong

caothailong

    biết pan

  • Members
  • Pip
  • 7 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 06 May 2013 - 01:53 PM

cảm ơn các bạn đã nhắc nhở mình, mình đã up 1 file trong đó có xin yêu cầu cụ thể, mong các bạn giúp đỡ mình http://www.cadviet.c...06_drawing2.dwg


  • 0

#6 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6007 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 06 May 2013 - 03:31 PM

cảm ơn các bạn đã nhắc nhở mình, mình đã up 1 file trong đó có xin yêu cầu cụ thể, mong các bạn giúp đỡ mình http://www.cadviet.c...06_drawing2.dwg

Hề hề hề,

Các tuyến của bạn đều được vẽ bằng line chứ không phải là pline à???

Mỗi tuyến chỉ bao gồm một đoạn thẳng chứ không phải là các đoạn thẳng nối tiếp nhau ư???


  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#7 caothailong

caothailong

    biết pan

  • Members
  • Pip
  • 7 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 06 May 2013 - 03:47 PM

các tuyến là pline hoặc line, các tuyến được nối với nhau chứ, nhưng mình đưa một ví dụ để mong bạn hiểu được ý đồ của mình, mong bạn viết 1 lisp làm công việc:

1/ Chọn cao độ điểm đầu (chọn 1 text)

2/ chọn tuyến ( hoặc nhập chiều dài tuyến)

3/ nhập độ dốc

4/ Nhập chiều cao text

4/ Chọn vị trí đặt text 

(lisp sẽ nội suy cao độ điểm mà ta cần nội suy)

Mong bạn viết giúp mình, Cảm ơn bạn rất nhiều.


  • 0

#8 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6007 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 06 May 2013 - 03:57 PM

các tuyến là pline hoặc line, các tuyến được nối với nhau chứ, nhưng mình đưa một ví dụ để mong bạn hiểu được ý đồ của mình, mong bạn viết 1 lisp làm công việc:

1/ Chọn cao độ điểm đầu (chọn 1 text)

2/ chọn tuyến ( hoặc nhập chiều dài tuyến)

3/ nhập độ dốc

4/ Nhập chiều cao text

4/ Chọn vị trí đặt text 

(lisp sẽ nội suy cao độ điểm mà ta cần nội suy)

Mong bạn viết giúp mình, Cảm ơn bạn rất nhiều.

Hề hề hề,

Bạn nên nhớ rằng line và pline có khác nhau về các mã dxf, vì vậy khi xử lý bằng lisp thì cấu trúc code hoàn toàn khác nhau. Bởi vậy nếu viết lisp xử lý bài toán này của bạn thì mình thấy bạn nên thống nhất dùng pline để vẽ tuyến, như vậy sẽ tốt hơn rất nhiều việc dùng lẫn lộn cả line và pline để vẽ tuyến.

Việc thống nhất như vậy cũng sẽ giúp bạn quản lý bản vẽ được tốt hơn và thuận lợi hơn cho cong tác biên tập chỉnh sửa bản vẽ sau này.

Mình sẽ làm thử cái lisp xử lý với tuyến của bạn là một pline và có độ dốc trên toàn tuyến là không đổi.

Trường hợp trên một tuyến mà độ dốc của nó thay đổi theo từng đoạn thì bạn đã nghĩ tới chưa và theo bạn có cần giải quyêt hay không???


  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#9 caothailong

caothailong

    biết pan

  • Members
  • Pip
  • 7 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 06 May 2013 - 04:03 PM

mình định áp dụng để nội suy cao độ đáy hố ga và cao độ thiết kế của 1 tuyến đường có độ dốc không đổi, vấn đề thay đổi theo từng đoạn thì mình chưa nghĩ tới, và có lẽ hướng giải quyết là mình chia đoạn ra và lam từng đoạn. Bạn làm giúp mình nhé, mình cảm ơn bạn.


  • 0

#10 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6007 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 06 May 2013 - 04:32 PM

mình định áp dụng để nội suy cao độ đáy hố ga và cao độ thiết kế của 1 tuyến đường có độ dốc không đổi, vấn đề thay đổi theo từng đoạn thì mình chưa nghĩ tới, và có lẽ hướng giải quyết là mình chia đoạn ra và lam từng đoạn. Bạn làm giúp mình nhé, mình cảm ơn bạn.

Hề hề hề,

Bạn dùng thủ cái này coi có cần sửa chữa gì không nhé.

 

(defun c:gddct ( / pl cd dd h p len cdc)
(vl-load-com)
(command "undo" "be")
(setq pl (car (entsel "\n Chon pline tuyen can ghi cao do"))
          cd (getreal "\n Nhap gia tri cao do dau tuyen: ")
          dd (getreal "\n Nhap do doc toan tuyen theo don vi % : ")
          h (getreal "\n Nhap chieu cao text ket qua: ")
          p (getpoint "\n Chon diem dat text ket qua")
)
(if (= cd 0.0)
    (setq cd (atof (cdr (assoc 1 (enget (car (entsel "\n Chon text ghi cao do dau tuyen")))))))
)
(setq len (vlax-curve-getdistatpoint pl (vlax-curve-getendpoint pl))
          cdc (rtos (+ cd (/ (* len dd) 100)) 2 2)
)
(command "text" "j" "mc" p h 0 cdc)
(command "undo" "e")
)
 
Chúc bạn vui và nếu có gì chưa vui thì hãy post lên nhé.

  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#11 caothailong

caothailong

    biết pan

  • Members
  • Pip
  • 7 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 06 May 2013 - 04:43 PM

hi, cảm ơn bạn, mình sử dụng và thấy rất tốt, ở cái mục nhập cao độ điểm đầu mình có thể cho lựa chọn thêm nữa là chọn 1 text được không bạn, và cho mình hỏi cái chỗ nhập độ dốc và cao độ text, nếu mình muốn cho nhanh là có 1 độ dốc và cao độ text cố định trong lisp thì mình sửa chỗ nào ạ,


  • 0

#12 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6007 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 07 May 2013 - 10:40 AM

hi, cảm ơn bạn, mình sử dụng và thấy rất tốt, ở cái mục nhập cao độ điểm đầu mình có thể cho lựa chọn thêm nữa là chọn 1 text được không bạn, và cho mình hỏi cái chỗ nhập độ dốc và cao độ text, nếu mình muốn cho nhanh là có 1 độ dốc và cao độ text cố định trong lisp thì mình sửa chỗ nào ạ,

Hề hề hề,

1/- Lisp đã có chức năng này, nếu bạn muốn chọn text thì chỉ cần nhấn enter khi lisp yêu cầu nhập giá trị cao độ điểm đầu và chọn một tẽt số khi lisp yêu cầu bạn chon text ghi cao độ điểm đầu.

2/- thay (getreal "\n Nhap do doc toan tuyen theo don vi % : ") bằng giá trị bạn muốn nhập

3/- Thay  (getreal "\n Nhap chieu cao text ket qua: ") bằng giá trị bạn muốn nhập.


  • 1
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#13 caothailong

caothailong

    biết pan

  • Members
  • Pip
  • 7 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 08 May 2013 - 08:33 AM

cảm ơn bạn rất nhiều, mình đã thử và đã thành công! Hi


  • 0

#14 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 08 May 2013 - 08:47 AM

Một người đã tốn bao nhiên comment để giúp bạn như thế thì tiếc gì mà không ấn nút mũi tên màu xanh để tạ ơn nhỉ?


  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#15 nqt266

nqt266

    biết vẽ circle

  • Members
  • PipPip
  • 37 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 10 July 2013 - 10:24 AM

Bác Hoành có thể sửa được lỗi này không: khi các hatch giao nhau, ta dùng lệnh merge hatch thì tại các khoảng giao nhau đó sẽ thành khoảng trắng. (ý em là phải union hach kia chứ không phải merge hatch undecided.gif )

 


 

Chào cả nhà mình . Mình tìm mãi không thấy chỗ nào up yêu cầu cả, nên xin phép gửi yêu cầu vào nickname bác phamthanhbinh, nhờ bác truyền tải thông tin lên diễn đàn giúp vậy. Tình hình là mình đang vướng 1 việc phải làm thủ công rất mệt, đó là đánh số thứ tự và ký hiệu cho lưới các Bock, hay đối tượng, các bác vui lòng bớt chút thời gian giúp minh cái lisp thực hiện công việc như ở file đính kèm với nhé.Cảm ơn cả nhà, chúc cả nhà mạnh khỏe!http://www.cadviet.c...o_viet_lisp.dwg


  • 0

#16 nqt266

nqt266

    biết vẽ circle

  • Members
  • PipPip
  • 37 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 12 July 2013 - 09:27 AM

Cả nhà mình đâu hết rồi àk

Không thấy ai trả lời giùm em với


  • 0